#
# spec file for package c_count
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           c_count
Version:        7.16
Release:        9.1
Summary:        Source Code Measure Counter for C/C++/Java
License:        MIT
Group:          Development/Tools/Other
Url:            http://invisible-island.net/c_count/
Source0:        ftp://invisible-island.net/c_count/%{name}-%{version}.tgz
Source1:        ftp://invisible-island.net/c_count/%{name}-%{version}.tgz.asc
Source2:        %{name}.keyring
BuildRequires:  autoconf
BuildRequires:  automake
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
c_count counts lines, statements, and other simple measures of C/C++/Java
source programs. It is not lex/yacc based, and is easily portable to a variety
of systems.

%prep
%setup -q

%build
autoreconf -fiv
%configure \
    --enable-warnings

make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}

%check
pushd testing
./run_test.sh
popd #testing

%files
%defattr(-,root,root)
%doc COPYING CHANGES README
%{_bindir}/c_count
%{_mandir}/man1/c_count.1%{ext_man}

%changelog
* Wed Aug  5 2015 mpluskal@suse.com
- Update to 7.16
  * add configure option --with-man2html
  * updated configure macros
  * update config.guess and config.sub
- Add gpg signature
- Cleanup spec file with spec-cleaner
- Update dependencies
* Thu Dec 25 2014 p.drouand@gmail.com
- Update to version 7.15
  + ensure that parse-state returns to "code" after a comment is
  completed.  Extend parsing for numbers to improve error-checking.
  + updated configure macros
  + update config.guess and config.sub
* Tue Jun 17 2014 tchvatal@suse.com
- Version bump to 7.14:
  * cross compiling support
  * configure script updates
  * minor fix to Quoted
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Tue Jan 24 2012 pascal.bleser@opensuse.org
- minor spec file cleanup
* Sun Jul 18 2010 pascal.bleser@opensuse.org
- initial package (7.12)
